From a2b9e5b58db88a37584092a23b0066dca73d3bbf Mon Sep 17 00:00:00 2001
From: Alex Warhawk <ax.warhawk@gmail.com>
Date: Mon, 30 Sep 2013 03:32:23 +0200
Subject: [PATCH] fix 3932, reshuffle after play through

---
 src/playlist/thread.c |    9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/src/playlist/thread.c b/src/playlist/thread.c
index 9bfbc3c..effc5e9 100644
--- a/src/playlist/thread.c
+++ b/src/playlist/thread.c
@@ -278,6 +278,15 @@ static playlist_item_t *NextItem( playlist_t *p_playlist )
         return NULL;
     }
 
+    /* reshuffle (3932) */
+    if( p_playlist->i_current_index == p_playlist->current.i_size - 1 ) {
+        if( var_GetBool( p_playlist, "random" ) ) {
+            PL_DEBUG( "reshuffle playlist" );
+            ResetCurrentlyPlaying( p_playlist,
+                                   get_current_status_item( p_playlist ) );
+        }
+    }
+
     /* Start the real work */
     if( p_sys->request.b_request )
     {
-- 
1.7.10.4

